{% ckan_extends %}

{% block resource_item_title %}
{% set can_edit = h.check_access('package_update', {'id':pkg.id }) %}
{% set url_action = 'resource_edit' if can_edit == 'True' else 'resource_extractor_show' %}
{% set ctrl = 'package' if can_edit == 'True' else 'ckanext.dataextractor.controllers.dataextractor:DataextractorController' %}
{% set url = h.url_for(controller=ctrl, action=url_action, id=pkg.name, resource_id=res.id) %}

<a class="heading" href="{{ url }}" title="{{ res.name or res.description }}">
  {{ res.title or res.name | truncate(50) }}<span class="format-label" property="dc:format" data-format="{{ res.format.lower() or 'data' }}">{{ res.format }}</span>
  {{ h.popular('views', res.tracking_summary.total, min=10) }}
</a>
{% endblock %}

{% block resource_item_explore %}
{% set can_edit = h.check_access('package_update', {'id':pkg.id }) %}
{% set url_action = 'resource_edit' if can_edit == 'True' else 'resource_extractor_show' %}
{% set ctrl = 'package' if can_edit == 'True' else 'ckanext.dataextractor.controllers.dataextractor:DataextractorController' %}
{% set url = h.url_for(controller=ctrl, action=url_action, id=pkg.name, resource_id=res.id) %}
<div class="btn-group">
  <a href="{{ url }}" class="btn btn-primary">
    <i class="fa fa-share"></i>
    {{ _('Explore') }}
  </a>
</div>
{% endblock %}